# Process this file with autoconf to produce a configure script.

# Sets up autoconf.
AC_INIT([Multiplication Puzzle],[8.0],[gmult-hackers@lists.launchpad.net],[gmult])
AC_PREREQ(2.65)
AC_CONFIG_SRCDIR(gmult/GtkMult.vala)
AC_CONFIG_HEADERS([config.h:config.h.in])

# Sets up automake.
AM_INIT_AUTOMAKE([1.11 gnu no-dist-gzip dist-bzip2])
AM_SILENT_RULES([yes])
AM_MAINTAINER_MODE()

# Checks for programs.
AC_PROG_CC
AM_PROG_CC_C_O
AC_PROG_INSTALL
AC_PROG_MAKE_SET

# Checks for vala
GMULT_PROG_VALAC([0.12.0])

# Sets up gettext.
GETTEXT_PACKAGE="$PACKAGE"
AC_SUBST(GETTEXT_PACKAGE)
AC_DEFINE_UNQUOTED(GETTEXT_PACKAGE, "$GETTEXT_PACKAGE", [gettext domain])
AM_GNU_GETTEXT([external])
AM_GNU_GETTEXT_VERSION([0.17])
IT_PROG_INTLTOOL([0.37],[no-xml])

# Sets up a few prefix-relative directories
if test "x${prefix}" = "xNONE"; then
  PREFIX="${ac_default_prefix}"
else
  PREFIX="${prefix}"
fi
AC_DEFINE_UNQUOTED(LOCALE_DIR, "${PREFIX}/${DATADIRNAME}/locale",[Locale directory])
AC_DEFINE_UNQUOTED(THEME_DIR, "${PREFIX}/${DATADIRNAME}/icons",[Icon directory])

# Check dependencies
PKG_CHECK_MODULES(GTK, gtk+-3.0 >= 3.0 gio-2.0)
AC_SUBST(GTK_CFLAGS)
AC_SUBST(GTK_LIBS)

# Sets up output files.
AC_CONFIG_FILES([Makefile data/Makefile gmult/Makefile po/Makefile.in vapi/Makefile])
AC_OUTPUT

